## org.apache.lucene.spatial.geometry.shape
Class Rectangle

    java.lang.Object
      org.apache.lucene.spatial.geometry.shape.Rectangle

All Implemented Interfaces:
  Geometry2D

    public class Rectangle

extends java.lang.Object
implements Geometry2D

Rectangle shape.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`Rectangle()`
`Rectangle(double x1, double y1, double x2, double y2)`
`Rectangle(Point2D ptMin, Point2D ptMax)`

Method Summary
`double` `area()` Return the area
`Point2D` `centroid()` Return the centroid
`boolean` `contains(Point2D p)` Does the shape contain the given point
`boolean` `equals(java.lang.Object obj)`
`Point2D` `getMaxPoint()`
`Point2D` `getMinPoint()`
`int` `hashCode()`
`IntersectCase` `intersect(Rectangle r)` Returns information about how this shape intersects the given rectangle
`java.lang.String` `toString()`
`void` `translate(Vector2D v)` Translate according to the vector

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Rectangle

    public Rectangle()

### Rectangle

    public Rectangle(Point2D ptMin,
                     Point2D ptMax)

### Rectangle

    public Rectangle(double x1,
                     double y1,
                     double x2,
                     double y2)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### area

    public double area()

  Description copied from interface: `Geometry2D`
  Return the area

  Specified by:
    `area` in interface `Geometry2D`

### centroid

    public Point2D centroid()

  Description copied from interface: `Geometry2D`
  Return the centroid

  Specified by:
    `centroid` in interface `Geometry2D`

### contains

    public boolean contains(Point2D p)

  Description copied from interface: `Geometry2D`
  Does the shape contain the given point

  Specified by:
    `contains` in interface `Geometry2D`

### translate

    public void translate(Vector2D v)

  Description copied from interface: `Geometry2D`
  Translate according to the vector

  Specified by:
    `translate` in interface `Geometry2D`

### intersect

    public IntersectCase intersect(Rectangle r)

  Description copied from interface: `Geometry2D`
  Returns information about how this shape intersects the given rectangle

  Specified by:
    `intersect` in interface `Geometry2D`

### getMaxPoint

    public Point2D getMaxPoint()

### getMinPoint

    public Point2D getMinPoint()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.